
Robotics Service Bus - Enhancement #853
Install licenses
02/06/2012 03:44 PM - J. Wienke

Status: Resolved Start date: 02/06/2012
Priority: Low Due date:
Assignee: % Done: 100%
Category: Installation Estimated time: 0.00 hour
Target version: rsb-0.7
Description

We should install license files with our packages to simplify later packaging.
Several conventions exist:
    -  https://wiki.archlinux.org/index.php/Arch_Packaging_Standards#Licenses
    -  https://fedoraproject.org/wiki/Packaging/LicensingGuidelines
    -  ubuntu seems to use /usr/share/doc/$package/copyright

I would propose to simply use one of these conventions and package maintainers for other packages need to create symlinks.

Associated revisions
Revision 5428c8fe - 05/07/2012 05:37 PM - J. Wienke

Install license using ubuntu standard. Packagers of other distros can adapt in their packaging rules.

fixes #853

History
#1 - 02/27/2012 02:51 PM - J. Wienke
- Priority changed from Normal to Low

#2 - 03/02/2012 02:08 PM - J. Moringen
- Target version changed from 0.6 to rsb-0.7

#3 - 05/07/2012 05:41 PM - J. Wienke
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r3576.
